<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.iiop-openjdk" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="properties,auth-method,realm,required,authentication-context,security,transactions,iona,export-corbaloc,root-context,giop-version,persistent-server-id,socket-binding,ssl-socket-binding,caller-propagation,add-component-via-interceptor,client-requires,client-requires-ssl,client-ssl-context,client-supports,security-domain,server-requires,server-requires-ssl,server-ssl-context,server-supports,support-ssl,high-water-mark,number-to-reclaim,confidentiality,detect-misordering,detect-replay,integrity,trust-in-client,trust-in-target"/>
        <elem name="addr-params" value="profile,subsystem"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.iiop-openjdk"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.iiop"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.security.ssl-context.$client-ssl-context" optional="true"/>
        <capability name="$profile.org.wildfly.security.authentication-context.$authentication-context" optional="true"/>
        <capability name="$profile.org.wildfly.security.legacy-security-domain.$security-domain" optional="true"/>
        <capability name="$profile.org.wildfly.security.ssl-context.$server-ssl-context" optional="true"/>
    </requires>
    <refs>
        <ref feature="extension" include="true"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="extension" default="org.wildfly.iiop-openjdk"/>
        <param name="ssl-socket-binding" nillable="true" stability="default"/>
        <param name="confidentiality" nillable="true" stability="default"/>
        <param name="subsystem" feature-id="true" default="iiop-openjdk"/>
        <param name="client-requires-ssl" nillable="true" stability="default"/>
        <param name="required" nillable="true" stability="default"/>
        <param name="security" nillable="true" stability="default"/>
        <param name="number-to-reclaim" nillable="true" stability="default"/>
        <param name="integrity" nillable="true" stability="default"/>
        <param name="client-requires" nillable="true" stability="default"/>
        <param name="auth-method" nillable="true" stability="default"/>
        <param name="persistent-server-id" nillable="true" stability="default"/>
        <param name="detect-misordering" nillable="true" stability="default"/>
        <param name="giop-version" nillable="true" stability="default"/>
        <param name="support-ssl" nillable="true" stability="default"/>
        <param name="high-water-mark" nillable="true" stability="default"/>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="authentication-context" nillable="true" stability="default"/>
        <param name="export-corbaloc" nillable="true" stability="default"/>
        <param name="add-component-via-interceptor" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="iona" nillable="true" stability="default"/>
        <param name="server-requires" nillable="true" stability="default"/>
        <param name="transactions" nillable="true" stability="default"/>
        <param name="server-supports" nillable="true" stability="default"/>
        <param name="root-context" nillable="true" stability="default"/>
        <param name="client-ssl-context" nillable="true" stability="default"/>
        <param name="security-domain" nillable="true" stability="default"/>
        <param name="detect-replay" nillable="true" stability="default"/>
        <param name="socket-binding" nillable="true" stability="default"/>
        <param name="server-requires-ssl" nillable="true" stability="default"/>
        <param name="client-supports" nillable="true" stability="default"/>
        <param name="trust-in-target" nillable="true" stability="default"/>
        <param name="server-ssl-context" nillable="true" stability="default"/>
        <param name="trust-in-client" nillable="true" stability="default"/>
        <param name="realm" nillable="true" stability="default"/>
        <param name="properties" nillable="true" stability="default"/>
        <param name="caller-propagation" nillable="true" stability="default"/>
    </params>
    <packages>
        <package name="org.wildfly.iiop-openjdk"/>
    </packages>
</feature-spec>